=== debian/control ===
Source: pistache
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                    libcpp-httplib-dev <!nocheck>,
                    libcurl4-openssl-dev | libcurl-dev <!nocheck>,
                    libgmock-dev (>= 1.11.0) <!nocheck>,
                    libhowardhinnant-date-dev,
                    libssl-dev,
                    meson (>= 0.50.0),
                    pkg-config,
                    rapidjson-dev
Standards-Version: 4.6.2
Homepage: https://pistacheio.github.io/pistache/
Vcs-Git: https://salsa.debian.org/debian/pistache.git
Vcs-Browser: https://salsa.debian.org/debian/pistache
Rules-Requires-Root: no

Package: libpistache0t64
Provides: ${t64:Provides}
Replaces: libpistache0
Breaks: libpistache0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: elegant C++ REST framework
 Pistache is a modern and elegant HTTP and REST framework for C++.
 It is entirely written in pure C++17 and provides a clear and pleasant API.
 .
 Pistache provides both an HTTP server and client that can be used to create and
 query complex web and REST APIs.
 .
 This package contains the shared library built with TLS support.

Package: libpistache-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpistache0t64 (= ${binary:Version}),
         libssl-dev,
         rapidjson-dev,
         ${misc:Depends}
Description: elegant C++ REST framework - development files
 Pistache is a modern and elegant HTTP and REST framework for C++.
 It is entirely written in pure C++17 and provides a clear and pleasant API.
 .
 Pistache provides both an HTTP server and client that can be used to create and
 query complex web and REST APIs.
 .
 This package contains the development headers, static library, and examples.
 The static library was built with TLS support.
