=== debian/changelog ===
pistache (0.0.5+ds-5.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:20:15 +1100

pistache (0.0.5+ds-5.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:03:42 +0000

pistache (0.0.5+ds-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063257

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:52:06 +0000

pistache (0.0.5+ds-5) unstable; urgency=medium

  * d/patches: add missing cstdint include (Closes: #1037819)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 15 Jul 2023 23:42:58 +0200

pistache (0.0.5+ds-4) unstable; urgency=medium

  * d/rules: disable network tests.
    See <https://github.com/pistacheio/pistache/pull/1134>

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 23 Jun 2023 17:18:26 +0200

pistache (0.0.5+ds-3) unstable; urgency=medium

  * d/patches: fix DoS in the TLS listener

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 08 Mar 2023 11:11:29 +0100

pistache (0.0.5+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 02 Feb 2023 21:37:21 +0100

pistache (0.0.5+ds-1) unstable; urgency=low

  * Initial release. Closes: #929593

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 03 Sep 2022 12:30:54 +0200
