=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pistache
 Section: libs
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                     libcpp-httplib-dev <!nocheck>,
