=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none, \
  repacksuffix=+ds, \
  dversionmangle=auto" \
https://api.github.com/repos/pistacheio/pistache/tags \
https://api.github.com/repos/pistacheio/pistache/tarball/refs/tags/@ANY_VERSION@
