=== debian/changelog ===
pistache (0.4.26+ds-3) unstable; urgency=medium

  * Upload to unstable. Closes: #1097591
  * d/watch: update to version 5

 -- Andrea Pappacoda <tachi@debian.org>  Thu, 18 Sep 2025 17:20:59 +0200

pistache (0.4.26+ds-2) experimental; urgency=low

  * Retry upload to experimental.
    This is the first time I push a NEW package, sorry!

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 24 Dec 2024 16:43:55 +0100

pistache (0.4.26+ds-1) experimental; urgency=low

  * New upstream version 0.4.26+ds
  * First dgit upload
  * d/control: libpistache0 -> libpistache0.4
  * d/control: apply X-Style: black
  * d/control: declare dpkg-build-api = 1
  * d/README.source: document packaging workflow
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 24 Dec 2024 15:33:20 +0100
