=== debian/rules ===
#!/usr/bin/make -f

# optimize=-lto because I use Meson's LTO
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
# Required as libpistache-dev ships .a files
export DEB_CXXFLAGS_MAINT_APPEND = -ffat-lto-objects

%:
	dh $@ --buildsystem=meson

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  test := true
else
  test := false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--default-library=both \
		-Db_lto=true \
		-DPISTACHE_BUILD_TESTS=$(test) \
		-DPISTACHE_USE_SSL=true

override_dh_auto_test:
	dh_auto_test -- --no-suite=network
