=== debian/watch ===
Version: 5

Template: GitHub
Owner: pistacheio
Project: pistache
Dversionmangle: auto
Repacksuffix: +ds
